{
  stdenv,
  lib,
  hugo,
  go,
  sbcl,
  sbclPackages,
  makeWrapper,
  openssl
}:

let
  sbcl' = sbcl.withPackages (ps: with ps; [
    hunchentoot
    dexador
    clack
    jzon
    serapeum
    openssl
    openssl.out
    openssl.dev
  ]);
in
stdenv.mkDerivation rec {
  name = "tfcconnection";
  pname = "tfcconnection";
  version = "0.0.1";

  src = ./.;

  nativeBuildInputs = [
    makeWrapper
  ];

  buildInputs = [
    hugo
    go
    sbcl'
  ];

  buildPhase = ''
  make
  '';

  installPhase = ''
  
  '';

  meta = with lib; {
    name = "tfcconnection";
    description = "TFC Connection Website";
    homepage = "";
    license = licenses.gpl3;
    maintainers = [ "chriscochrun" ];
    platforms = platforms.all;
  };
}
